Subject: Re: bug#31496: 26.1; support "**" globbing in filename completion

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Jul 2019 16:32:08 +0200

Tom Tromey <[email-masked]> writes:

> Bash has a "**" globbing feature (you have to set "globstar" to get
> this) for recursive globbing.  "**" will recursively match
> subdirectories.
>
> This would be handy for filename completion in Emacs.
> Then finding a file somewhere in some subdirectory would be as easy as
>
> C-x C-f **/filename TAB

I just tried this:

~/src/emacs/trunk/**/abbrev.el

and it worked!  (Which is news to me.)

~/src/emacs/trunk/**/abb TAB

also worked.  But you want ** to do the same thing recursively?  Hm...
Oh, I see -- ** is just the same as *?  Yes, then I agree that recursive
** globbing would be very nice...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no